Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.LogDir Property
DatabaseEnvironment Class See Also Send Feedback

The path of a directory to be used as the location of logging files. Log files created by the Log Manager subsystem will be created in this directory.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#
    public string LogDir { get; private set; }

Visual Basic (Declaration)
    Public Property LogDir As String

Visual C++
    public:
    property String^ LogDir {
    	String^ get ();
    	void set (String^ value);
    }

# See Also

DatabaseEnvironment Class
BerkeleyDB Namespace